<?php

use App\Calendarizacion;
use App\Carrera;
use App\Http\Controllers\CalendarizacionesController;
use App\Http\Controllers\CarreraController;
use App\Http\Controllers\LoginController;
use App\Http\Controllers\DetalleMateriaController;
use App\ObservacionesED;
use App\DetalleMateria;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/carrera', function () {
    return view('carreras.carrera');
});

Route::Resource('/calendarizaciones', 'CalendarizacionesController');
Route::Resource('/asignacionmd', 'AsignacionMatDocController');
Route::Resource('/encabezadopie', 'EncabezadoPieController');
Route::post('encabezadopieA/{id}', 'EncabezadoPieController@update');
Route::Resource('/Historico', 'HistorialController');
//Route::get('','EvaluacioDiagnosticaController@showJefe');
Route::Resource('/instrumentacionDidactica', 'InstrumentacionDidacticaController');
Route::Resource('/proyectoindivudual', 'ProyectoIndividualController');
Route::Resource('/evaluaciondiagnostico', 'EvaluacionDiagnosticaController');
Route::Resource('observacionesEd', "ObservacionesEDController");
Route::post('observacionesEA', "ObservacionesEDController@storeEA");
Route::post('observacionesID', "ObservacionesEDController@storeID");
Route::Resource('/evaluacionyacreditacion', 'EvaluacionyAcreditacionController');
Route::Resource('/grupo', 'GrupoController');
Route::Resource('/aula', 'AulaController');
Route::Resource('/reticula', 'ReticulaController');
Route::Resource('/semestre', 'SemestreController');
Route::Resource('/planestudios', 'PlanEstudiosController');
Route::Resource('/temario', 'TemarioController');
Route::Resource('/especialidad', 'EspecialidadController');
Route::Resource('/materia', 'MateriaController');
Route::Resource('/carrera', 'CarreraController');
Route::Resource('/detallemateria', 'DetalleMateriaController');
Route::post('carreras/{id}', 'CarreraController@update');

Route::post('unidad/{id}', 'TemarioController@updateUni');
Route::post('actividad/{id}', 'TemarioController@updateAct');
Route::delete('actividad/{id}', 'TemarioController@destroyAct');

Route::Resource('/carreras', 'CarrerasController');
Route::Resource('/materias', 'MateriasController');
Route::Resource('/unidades', 'TemariosController');
Route::Resource('/qr', 'CodigoQRController');
//Route::Resource('/imagenes','ImagenesController');

Route::view('/imagenes', 'imagenes.nuevo');
Route::post('post', 'ImagenesController@store');
/**----------------------------------------------------------------------------------------------------
 *                                        Descargar Excel y PDF
 ------------------------------------------------------------------------------------------------------*/
Route::get('/exportarCalendarizacionesExcel', 'CalendarizacionesController@exportExel');
Route::get('/exportarCalendarizacionesPdf', 'CalendarizacionesController@exportPdf');

Route::get('/exportarCarrerasExcel', 'CarreraController@exportExcel');
Route::get('/exportarCarrerasPdf', 'CarreraController@exportPdf');



Route::get('/exportarAulaExcel', 'AulaController@exportExcel');
Route::get('/exportarAulaPdf', 'AulaController@exportPdf');


Route::get('/exportarPlanEstudiosExcel', 'PlanEstudiosController@exportExcel');
Route::get('/exportarPlanEstudiosPdf', 'PlanEstudiosController@exportPdf');



Route::get('/exportarEspecialidadExcel', 'EspecialidadController@exportExcel');
Route::get('/exportarEspecialidadPdf', 'EspecialidadController@exportPdf');



Route::get('/exportarMateriaExcel', 'MateriaController@exportExcel');
Route::get('/exportarMateriaPdf', 'MateriaController@exportPdf');


Route::get('/exportarTemarioExcel', 'TemarioController@exportExcel');


Route::get('/exportarReticulaExcel', 'ReticulaController@exportExcel');

Route::get('/descargarCarreras', 'ExcelController@exportarCarreras');
Route::get('/descargarC', 'ExcelController@exportarCarrerasFiltrado');

Route::get('/descarga/archivo', 'AsignacionMatDocController@descargarEjemplo');
Route::get('/exportarEvaluacionDiagnosticoPdf', 'EvaluacionDiagnosticaController@exportPdf');
Route::get('/exportarEvaluacionAcreditacionPdf','EvaluacionyAcreditacionController@exportPdf');
Route::get('/exportarInstrumentacionDidacticaPdf','InstrumentacionDidacticaController@exportPdf');

//sesion

Route::get('/', 'LoginController@index');
Route::get('/logout', 'LoginController@logout');
